Render ListView with hyper link navigation in React ListView component

23 Jan 20256 minutes to read

We can use anchor tag along with href attribute in the ListView template property for navigation.

In the example below, we have rendered a ListView with search engine URLs as hyperlinks.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
function App() {
    //Define an array of JSON data
    let dataSource = [
        { name: 'Google', url: 'https://www.google.com' },
        { name: 'Bing', url: 'https://www.bing.com' },
        { name: 'Yahoo', url: 'https://www.yahoo.com' },
        { name: 'Ask.com', url: 'https://www.ask.com' },
        { name: 'AOL.com', url: 'https://www.aol.com' }
    ];
    function anchor_template(data) {
        return (<a target='_blank' href={data.url}>{data.name}</a>);
    }
    ;
    return (<ListViewComponent id='list' dataSource={dataSource} headerTitle='Search engines' showHeader={true} template={anchor_template}>
    </ListViewComponent>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';

function App() {

    //Define an array of JSON data
    let dataSource: { [key: string]: Object }[] = [
        { name: 'Google', url: 'https://www.google.com' },
        { name: 'Bing', url: 'https://www.bing.com' },
        { name: 'Yahoo', url: 'https://www.yahoo.com' },
        { name: 'Ask.com', url: 'https://www.ask.com' },
        { name: 'AOL.com', url: 'https://www.aol.com' }
    ];

    function anchor_template(data: any): JSX.Element {
        return (
            <a target='_blank' href={data.url}>{data.name}</a>
        )
    };

    return (
        <ListViewComponent id='list'
            dataSource={dataSource}
            headerTitle='Search engines'
            showHeader={true}
            template={anchor_template as any} >
        </ListViewComponent>
    )
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue', 'calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#list {
  display: block;
  max-width: 350px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#list a {
  text-decoration: none;
}

#list .e-list-header {
  background: rgb(2, 120, 215);
  color: white;
  font-size: 19px;
  font-weight: 500;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React ListView</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-react-lists/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Render hyperlinked items in Angular ListView component

10 Sep 20253 minutes to read

The ListView component supports template functionality which allows adding hyperlink navigation to list items. This can be achieved by using an anchor tag within the ListView template property.

Here’s how to implement hyperlink navigation in ListView items:

<ng-template #template let-data="">
   <a target='_blank' href=""></a>
</ng-template>

The template requires a data source with the following structure:

  • url: The hyperlink URL for navigation
  • name: The display text for the link

The below sample demonstrates ListView with search engine URLs using hyperlink navigation:

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'
import { Component, ViewChild } from '@angular/core';

@Component({
  imports: [
    ListViewModule
  ],
  standalone: true,
  selector: 'my-app',
  template: `
          <div id="sample">
    <ejs-listview id='List' [dataSource]='data' headerTitle='Search engines' showHeader='true'>
    <ng-template #template let-data="">
   <a target='_blank' href=""></a>
    </ng-template>
    </ejs-listview>
  </div>
        `,
})

export class AppComponent {
  public data = [
    { name: 'Google', url: 'https://www.google.com' },
    { name: 'Bing', url: 'https://www.bing.com' },
    { name: 'Yahoo', url: 'https://www.yahoo.com' },
    { name: 'Ask.com', url: 'https://www.ask.com' },
    { name: 'AOL.com', url: 'https://www.aol.com' },
  ];
}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-popups/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-inputs/styles/material.css';

#List {
    max-width: 300px;
    margin: auto;
    border: 1px solid #dddddd;
    border-radius: 3px;
}

#List a {
    text-decoration: none;
}

#List .e-list-header {
    background: rgb(2, 120, 215);
    color: white;
    font-size: 19px;
    font-weight: 500;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Render ListView with hyper link navigation in Vue ListView component

21 Feb 20254 minutes to read

We can use an anchor tag along with the href attribute in our ListView’s template property for navigation.

var listVue = Vue.component("demo", {
  template: `<a target='_blank' v-bind:href='data.url'></a>`,
  data() {
    return {
      data: {}
    };
  }
});

In the below sample, we have rendered a ListView with search engines URL.

<template>
  <div id="sample">
    <ejs-listview id='List' :dataSource='data' headerTitle='Search engines' showHeader='true'
      :template='anchortemplate'>
    </ejs-listview>
  </div>
</template>
<style>
#List {
  max-width: 300px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#List a {
  text-decoration: none;
}

#List .e-list-header {
  background: rgb(2, 120, 215);
  color: white;
  font-size: 19px;
  font-weight: 500;
}
</style>
<script setup>

import { ListViewComponent as EjsListview } from "@syncfusion/ej2-vue-lists";
import { createApp } from "vue";

var listVue = createApp().component("demo", {
  template: `<a target='_blank' v-bind:href='data.url'></a>`,
  data() {
    return {
      data: {}
    };
  }
});

const data = [
  { name: 'Google', url: 'https://www.google.com' },
  { name: 'Bing', url: 'https://www.bing.com' },
  { name: 'Yahoo', url: 'https://www.yahoo.com' },
  { name: 'Ask.com', url: 'https://www.ask.com' },
  { name: 'AOL.com', url: 'https://www.aol.com' },
]
const anchortemplate = () => {
  return { template: listVue };
}

</script>
<template>
  <div id="sample">
   <ejs-listview id='List' :dataSource='data' headerTitle='Search engines' showHeader='true' :template='anchortemplate'>
   </ejs-listview>
 </div>
</template>

<script>

import { ListViewComponent } from "@syncfusion/ej2-vue-lists";
import { createApp } from "vue";

var listVue = createApp().component("demo", {
 template: `<a target='_blank' v-bind:href='data.url'></a>`,
 data() {
   return {
     data: {}
   };
 }
});

export default {
name: "App",
components: {
"ejs-listview":ListViewComponent
},

 data: function() {
      return {
     data: [
       {name: 'Google', url: 'https://www.google.com'},
       {name: 'Bing', url: 'https://www.bing.com' },
       {name: 'Yahoo', url: 'https://www.yahoo.com'},
       {name: 'Ask.com', url: 'https://www.ask.com'},
       {name: 'AOL.com', url: 'https://www.aol.com'},
   ],
   anchortemplate: function () {
       return { template : listVue};
   },
   };
 },
}
</script>
<style>
#List {
       max-width: 300px;
       margin: auto;
       border: 1px solid #dddddd;
       border-radius: 3px;
   }
   #List a {
     text-decoration: none;
   }
   #List .e-list-header {
       background: rgb(2, 120, 215);
       color: white;
       font-size: 19px;
       font-weight: 500;
   }
</style>